<?php

use setasign\Fpdi\Fpdi;

require_once APPPATH . "/third_party/fpdf/fpdf.php";
require_once APPPATH . "/third_party/fpdi/src/autoload.php";


function plantilla7($idformato,$pdf)
{
    //echo "******************************** ", $idformato;
    $CI = &get_instance();
    $CI->load->database();
 //   $idformato = $post['idformato'];

    $pdf->SetFont('Arial');
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetXY(30, 35);
    $pdf->SetFontSize(8);
    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('7_datos_dependiente', $where, 1);
    $codigo_7 = $query->row();

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('formatos', $where, 1);
    $codigo = $query->row();

   //NINGUNO
   if ($codigo_7->ninguno == '1') {
      $logo = SERVIDOR . APP . 'application/images/check2.png';
      $pdf->Image($logo, 197.1, 28.1, 4, 4);
   }
   //SIN CAMBIO
   if ($codigo_7->ninguno == '2') {
     $logo = SERVIDOR . APP . 'application/images/check2.png';
     $pdf->Image($logo, 197.1, 21.8, 4, 4);
   }
   //FORMATO INICIAL
    if ($codigo->tipo_formato == 1) {
        $pdf->SetY(21);
        $pdf->SetX(176);
        $pdf->MultiCell(27, 6, utf8_decode('  '), 0, 0, true);
    }
   //AGREGO POR LO MENOS 1
   if ($codigo_7->ninguno == '0') {
   $pdf->SetFont('Arial', 'B', 9);
   $pdf->SetTextColor(255, 255, 255);
   $pdf->SetFillColor(122, 70, 100);
   $pdf->SetY(27);
   $pdf->SetX(176);
   $pdf->MultiCell(27, 7, utf8_decode('NÚMERO # 1'), 0, 0, true);
   }    
             

    


                $pdf->SetFont('Arial', '', 8);
                $pdf->SetTextColor(0, 0, 0);
                $pdf->SetY(57);
                $pdf->SetX(13);
                $pdf->Cell(51, 4, utf8_decode($codigo_7->nombre));
                $pdf->Cell(50, 4, utf8_decode($codigo_7->primer_apellido));
                $pdf->Cell(51, 4, utf8_decode($codigo_7->segundo_apellido));
                $pdf->Cell(46, 4, utf8_decode($codigo_7->fecha_nacimiento));
                $pdf->Ln(10);
                $pdf->SetX(13);
                $pdf->Cell(78, 4, utf8_decode($codigo_7->rfc));
               // $pdf->Cell(79, 4, utf8_decode($codigo_7->relacion_declarante));

                if ($codigo_7->relacion_declarante == 'OTRO / ESPECIFIQUE') {
                    $pdf->Cell(109, 4, utf8_decode($codigo_7->relacion_declarante_esp));
                } else {
                    $pdf->Cell(109, 4, utf8_decode($codigo_7->relacion_declarante));
                }
                $pdf->Ln(10.5);
                $pdf->SetX(13);
                $pdf->Cell(78, 4, utf8_decode($codigo_7->ciudadano_extranjero));
                $pdf->Cell(109, 4, utf8_decode($codigo_7->curp));
                $pdf->Ln(10);
                $pdf->SetX(13);
                $pdf->Cell(78, 4, utf8_decode($codigo_7->habita_domicilio));
                $pdf->Cell(109, 4, utf8_decode($codigo_7->lugar_residencia));
                //break



            //case 4:
                $pdf->SetFont('Arial', 'B', 8);
                if ($codigo_7->mexico_extranjero == 'EN EL EXTRANJERO') {
                    $pdf->Text(152, 120, 'CIUDAD/LOCALIDAD');
                    $pdf->Text(35, 131, 'ESTADO/PROVINCIA');
                    $pdf->Text(115, 131, utf8_decode('PAÍS'));
                } else {
                    $pdf->Text(152, 120, 'COLONIA/LOCALIDAD');
                    $pdf->Text(35, 131, utf8_decode('MUNICIPIO/ALCALDÍA'));
                    $pdf->Text(110, 131, utf8_decode('ENTIDAD FEDERATIVA'));
                }
                $pdf->SetFont('Arial', '', 8);

                $pdf->SetY(110);
                $pdf->SetX(108);
                $pdf->Cell(92, 4, utf8_decode($codigo_7->mexico_extranjero));
                $pdf->Ln(13);
                $pdf->SetX(13);
                $pdf->Cell(72, 4, utf8_decode($codigo_7->calle));
                $pdf->Cell(24, 4, utf8_decode($codigo_7->numero_ext));
                $pdf->Cell(22, 4, utf8_decode($codigo_7->numero_int));
                $pdf->Cell(70, 4, utf8_decode($codigo_7->localidad));
                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->Cell(72, 4, utf8_decode($codigo_7->municipio_estado));
                $pdf->Cell(82, 4, utf8_decode($codigo_7->entidad_pais));
                $pdf->Cell(35, 4, utf8_decode($codigo_7->codigo_postal));
   


                $pdf->SetY(148.5);
                $pdf->SetX(13);
                if ($codigo_7->actividad_laboral == 'OTRO / ESPECIFIQUE') {
                    $pdf->Cell(92, 4, utf8_decode($codigo_7->actividad_laboral_esp));
                } else {
                    $pdf->Cell(92, 4, utf8_decode($codigo_7->actividad_laboral));
                }
                $pdf->Cell(51, 4, utf8_decode($codigo_7->orden_gobierno));
                $pdf->Cell(41, 4, utf8_decode($codigo_7->ambito_publico));
                $pdf->Ln(10);
                $pdf->SetX(13);
                $pdf->Cell(92, 4, utf8_decode($codigo_7->ente_publico));
                $pdf->Cell(92, 4, utf8_decode($codigo_7->area_adscripcion));
                $pdf->Ln(11);
                $pdf->SetX(13);
                $pdf->Cell(92, 4, utf8_decode($codigo_7->cargo_publico));
                $pdf->Cell(92, 4, utf8_decode($codigo_7->funcion_principal));
                $pdf->Ln(11);
                $pdf->SetX(13);
                $pdf->Cell(92, 4, utf8_decode($codigo_7->salario_publico));
                $pdf->Cell(92, 4, utf8_decode($codigo_7->fechaingreso_publico));
                $pdf->Ln(6);
                $pdf->SetX(137);
                $pdf->Cell(60, 4, utf8_decode($codigo_7->cargo_privado));
                $pdf->Ln(5);
                $pdf->SetX(13);
                $pdf->Cell(92, 4, utf8_decode($codigo_7->nombre_empresa));
                $pdf->SetX(137);
                $pdf->Cell(60, 4, utf8_decode($codigo_7->rfc_privado));
                $pdf->Ln(11);
                $pdf->SetX(13);
                $pdf->Cell(51, 4, utf8_decode($codigo_7->fechaingreso_privado));
                if ($codigo_7->sector == '17') {
                    $pdf->Cell(133, 4, utf8_decode($codigo_7->sector_esp));
                } else {
                    $pdf->Cell(133, 4, utf8_decode($codigo_7->sector)); }
                $pdf->Ln(5);
                $pdf->SetX(64);
                $pdf->Cell(41, 4, $codigo_7->salario_privado);
                $pdf->SetX(184);
                $pdf->Cell(13, 4, utf8_decode($codigo_7->proveedor_contratista));
                $pdf->SetY(218.5);
                $pdf->SetX(13);
                $pdf->MultiCell(184, 3.5, utf8_decode($codigo_7->aclaraciones));



  //  $pdf->SetFont('Arial', 'B', 10);
 //   $pdf->SetTextColor(255, 255, 255);
  //  $pdf->SetY(25);
   // $pdf->SetX(120);
 //   $pdf->Cell(48, 4, 'Cantidad - ids:---------'. $codigo_7->iddependiente);
//  $dep = $codigo_7->iddependiente;

  //  return $pdf->Output("ejemplo.pdf", 'I', false);
}

